Skip to main content
GET
/
tickets
/
{ticket}
Get ticket
curl --request GET \
  --url https://rdp.sh/api/v1/tickets/{ticket} \
  --header 'Authorization: <api-key>'
{
  "id": 123,
  "title": "<string>",
  "message": "<string>",
  "status": "<string>",
  "priority": "<string>",
  "server_id": 123,
  "created_at": "<string>",
  "updated_at": "<string>",
  "comments": [
    {
      "id": 123,
      "comment": "<string>",
      "user": {
        "id": 123,
        "name": "<string>"
      },
      "staff": true,
      "created_at": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

ticket
integer
required

Ticket ID

Response

Ticket retrieved successfully.

Ticket detail object with comments.

id
integer
Example:

1

title
string
Example:

"Server not responding"

message
string
Example:

"My server has been down for 2 hours"

status
string
Examples:

"open"

"closed"

priority
string
Examples:

"normal"

"emergency"

"low"

server_id
integer | null
Example:

123

created_at
string
Example:

"2024-01-28T10:00:00.000000Z"

updated_at
string
Example:

"2024-01-28T12:30:00.000000Z"

comments
object[]